
#ifndef DROPPED_H
#define DROPPED_H

/*
  Setup the dropped line structure
*/
#define DRP_SIZ        80       /* Size of a dropped line record             */
#define DRP_RECS      361       /* Maximum number of buffers for data gaps   */
#define MAX_GAPS     2165       /* Maximum number of data gaps allowed       */
struct DROPPED
    {
    long   ngaps;               /* Number of dropped line gaps               */
    long   lmissed[MAX_GAPS];   /* Line number at gap                        */
    long   nmissed[MAX_GAPS];   /* Number missed lines in gap                */
    };


#endif

