# This is the example Makefile to create all of the library documentation.
# Copy this file to Makefile and run make.

MODULES = alias tae

all: $(MODULES)
	mkdir -p html
	cd html; gtkdoc-mkhtml las ../las-docs.sgml

$(MODULES):
	gtkdoc-scan --module=$@ ../lasinclude/$@.h
	cp $@-decl-list.txt $@-sections.txt
	gtkdoc-mktmpl --module=$@ --output-dir=../$@/DOCS/tmpl
	gtkdoc-mkdb --module=$@ --source-dir=../$@ --tmpl-dir=../$@/DOCS/tmpl

