#ifndef LASTAE_H
#define LASTAE_H

/**********************************************************************
 *
 *  This is an aggregate include file for TAE applications.
 *   
 ********************************************************************** */

#include "taeconf.inp"
#include "parblk.inc"
#include "terminc.inc"

void c_errmsg
(
    char *message,      /* Message associated with the error */
    char *key,          /* LAS error key or empty string */
    long *vrity         /* Severity: */
                        /*    <= 0   fatal */
                        /*     > 0   non-fatal */
);

int c_lasmsg
(
   int fatal_flag,
   const char *key,
   const char *fmt,
   ...
);

/* NOTE: the string returned by squeeze should be free'd by the calling
         routine to prevent a memory leak */
char *squeeze
(
   const char *str,
   int len
);

#endif
