#ifndef ALIAS_H
#define ALIAS_H

#include <stdio.h>
#include "desc.h"



int c_getalias
(
    const char *instring,    /* I: input string              */
    char *outstring          /* O: output string             */
);

int delalias
(
    const char *instring     /* I: input string              */
);

int findalias 
(
    FILE *aliasf,            /* I: alias file                */
    const char *aliasname,   /* I: alias name                */
    char *aliastext          /* O: alias text                */
);

int listalias 
(
    FILE *pfile,             /* I/O: print file              */
    const char *instring     /* I: input string              */
);

int putalias
(
    const char *aliasname,   /* I: name of alias add         */
    const char *aliastext,   /* I: text of alias add         */
    char *aliasfile,         /* O: name of user's alias file */
    int  *newfile            /* O: new file created? y=1,n=0 */
);

    
#endif
