#ifndef LASTAE_H
#define LASTAE_H

/**********************************************************************
 *
 *  This is an aggregate include file for TAE applications.
 *   
 ********************************************************************** */

#include "taeconf.inp"
#include "parblk.inc"
#include "terminc.inc"
#include "taelib.h"

void c_errmsg
(
    const char *message,   /* I: Message associated with the error */
    const char *key,       /* I: LAS error key or empty string */
    const long *vrity      /* I: Severity: */
                           /*    <= 0   fatal */
                           /*     > 0   non-fatal */
);

int c_lasmsg
(
   int fatal_flag,
   const char *key,
   const char *fmt,
   ...
);

/* NOTE: the string returned by squeeze should be free'd by the calling
         routine to prevent a memory leak */
char *squeeze
(
   const char *str,
   int len
);

#endif

